## org.ascape.model.space
Class CollectionSpace.SubIterator

    java.lang.Object
      org.ascape.model.space.CollectionSpace.CSIterator
          org.ascape.model.space.CollectionSpace.SubIterator

All Implemented Interfaces:
  java.io.Serializable, java.util.Iterator, ResetableIterator

Enclosing class:
  CollectionSpace

    protected class CollectionSpace.SubIterator

extends CollectionSpace.CSIterator

The Class SubIterator.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.space.CollectionSpace.CSIterator
`copy, copyIterator`

Constructor Summary
`CollectionSpace.SubIterator(int start, int limit)` Instantiates a new sub iterator.

Method Summary

Methods inherited from class org.ascape.model.space.CollectionSpace.CSIterator
`first, hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionSpace.SubIterator

    public CollectionSpace.SubIterator(int start,
                                       int limit)

  Instantiates a new sub iterator.

  Parameters:
    `start` - the start
    `limit` - the limit